// CustomerAdministration.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.3. 2007.05.27, 1.4 2008.11.20 1.5 2008.12.15
 * Copyright 2003 by Michael Claudius
 * All rights reserved ?
 */
package Controller;

import Model.*;

public class CustomerAdministration {

    /** Creates a new instance of CustomerAdministration */
    public CustomerAdministration() {
        customerReg = new CustomerRegister();
    }

    public CustomerAdministration(CustomerRegister customerReg) {
        this.customerReg = customerReg;
    }
    CustomerRegister customerReg;
    CustomerFiles c;


    public void  init() {
        registerCustomer("1", "Michael", "VIP", 2010);
        registerCustomer("2", "Susan", "Member", 2011);
        registerCustomer("3", "Max", "Child", 2010);
        registerCustomer("4", "Michael", "VIP", 2010);
        registerCustomer("5", "Kasper", "Child", 2011);
        registerCustomer("6", "Mads", "VIP", 2010);
    }

    public boolean registerCustomer(String customerNo, String name, String customerType, int year) {
        Customer c = customerReg.getCustomer(customerNo);
        if (c == null) {
            customerReg.registerCustomer(customerNo, name, customerType, year);
            return true;
        } else {
            return false;
        }
    }

    public boolean addCustomer(Customer b) {
        customerReg.addCustomer(b);
        return true;
    }

    public Customer getCustomer(String customerNo) {
        return customerReg.getCustomer(customerNo);
    }

    public Customer removeCustomer(String customerNo) {
        return customerReg.removeCustomer(customerNo);
    }

    public void editCustomer(String customerNo, String newCprNo, String name, String customerType, int year, String state) {
        customerReg.editCustomer(customerNo, newCprNo, name, customerType, year, state);
    }

    public boolean editCustomer1(Customer oldCustomer, Customer newCustomer) {
        return customerReg.editCustomer1(oldCustomer, newCustomer);
    }

    public int getNumbers() {
        return customerReg.numberOfCustomers();
    }

    public String allCustomersData() {
        return customerReg.toString();
   }

}
