// CustomerFiles.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2010.11.20
 * Copyright 2003 by Michael Claudius
 * All rights reserved
 */
package Model;

public class TestCustomerFiles {

    public static void main(String[] args) {
        CustomerRegister customerReg = new CustomerRegister();

        Customer b1 = new Customer("150561-7777", "TheBIGBoss", "VIP", 2005);
        Customer b2 = new Customer("15081-7777", "Zhen Zhao", "Member", 2005);
        Customer b3 = new Customer("10080-7777", "Vaida Caiser", "Regular", 2005);
        Customer b4 = new Customer("150570-7777", "ViceBoss", "VIP", 2005);
        Customer b5 = new Customer("15078-7777", "Ping Zhao", "Member", 2005);
        Customer b6 = new Customer("10082-7777", "Soneta Hug", "Regular", 2005);

        customerReg.addCustomer(b1);
        customerReg.addCustomer(b2);
        customerReg.addCustomer(b3);
        customerReg.addCustomer(b4);
        customerReg.addCustomer(b5);
        customerReg.addCustomer(b6);

        System.out.println(customerReg.toString());

        //String fileName = "H:" + "\\" + "SW-Construction" + "\\" + "Solutions" + "\\" + "borrower.data";
        String fileName = "C:" + "\\" + "D Drive" + "\\" + "Undervisning" + "\\" + "Prog2" + "\\" + "Solutions" + "\\"
                + "customerZ.data";
        CustomerFiles cFile = new CustomerFiles(customerReg, fileName);
        cFile.writeFile();

        //Not smart as we can not be sure readFile actually changed customerReg
        //cFile.readFile();
        //System.out.println(customerReg.toString());

        //Correct id to read into a new register
        CustomerRegister customerRegX = new CustomerRegister();
        CustomerFiles cFileX = new CustomerFiles(customerRegX, fileName);
        cFileX.readFile();
        System.out.println(customerRegX.toString());

        CustomerFiles cFileY = new CustomerFiles();
        //DONT use new CustomerFiles(customerReg, fileName); Data will be tranferres twice
        cFileY.splitFile(fileName, "vips.data", "others.data");

        //DONT use new CustomerFiles(customerReg, fileName); Data will be tranferres twice

        customerReg = new CustomerRegister();
        cFile = new CustomerFiles(customerReg, "vips.data");
        cFile.readFile();
        System.out.println("List of VIPS:\n" + customerReg.toString());

        customerReg = new CustomerRegister();
        cFile = new CustomerFiles(customerReg, "others.data");
        cFile.readFile();
        System.out.println("List of Others:\n" + customerReg.toString());

        CustomerFiles cFileZ = new CustomerFiles(fileName, "vipsZ.data", "othersZ.data");
        cFileZ.splitFileGeneral();

        customerReg = new CustomerRegister();
        cFile = new CustomerFiles(customerReg, "vipsZ.data");
        cFile.readFile();
        System.out.println("List of VIPS:\n" + customerReg.toString());

        customerReg = new CustomerRegister();
        cFile = new CustomerFiles(customerReg, "othersZ.data");
        cFile.readFile();
        System.out.println("List of Others:\n" + customerReg.toString());


    }
}
